Bug 15315 - Не может смонтировать диск.
: Не может смонтировать диск.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/k3b)
: unstable
: all Linux
: P1 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-04-11 14:57 by
Modified: 2008-12-19 08:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-04-11 14:57:14
k3b-1.0.4-alt3

Проверено с ядрами:
kernel-image-wks-smp-2.6.24-alt2.3
kernel-image-led-ws-2.6.25-alt0.3
kernel-image-std-smp-2.6.18-alt12

Раньше это наблюдалось только с
kernel-image-wks-smp-2.6.24-alt2.3
kernel-image-std-def-2.6.24-alt6

Теперь и под 18 ядром тоже.

Вот что выдаёт k3b при попытке смонтировать:
k3b: (K3bMedium) found medium:
k3b: =====================================================
DiskInfo:
Mediatype:       CD-RW
Current Profile: CD-RW
Disk state:      complete
Empty:           0
Rewritable:      1
Appendable:      0
Sessions:        1
Tracks:          1
Layers:          1
Capacity:        79:57:74 (LBA 359849) (736970752 Bytes)
Remaining size:  00:00:00 (LBA 0) (0 Bytes)
Used Size:       74:15:68 (LBA 334193) (684427264 Bytes)
k3b: =====================================================
Session |  ADR   | CONTROL|  TNO   | POINT  |  Min   |  Sec   | Frame  |  Zero 
|  PMIN  |  PSEC  | PFRAME |
      1 |      1 |      4 |      0 |     a0 |      0 |      0 |      0 |      0
|      1 |      0 |      0 |
      1 |      1 |      4 |      0 |     a1 |      0 |      0 |      0 |      0
|      1 |      0 |      0 |
      1 |      1 |      4 |      0 |     a2 |      0 |      0 |      0 |      0
|     74 |     17 |     68 |
      1 |      1 |      4 |      0 |      1 |      0 |      0 |      0 |      0
|      0 |      2 |      0 |
      1 |      5 |      4 |      0 |     b0 |    255 |    255 |    255 |      3
|     79 |     59 |     74 |
      1 |      5 |      4 |      0 |     c0 |    102 |      0 |    156 |      0
|     97 |     27 |      0 |
      1 |      5 |      4 |      0 |     c1 |     72 |     52 |    176 |      0
|      0 |      0 |      0 |
(K3bDevice::Device) found invalid bcd values. No bcd toc.
/dev/sr0: setting last sector of last track to 334192
(K3bDevice::Device) /dev/sr0:  Number of supported write speeds via 2A: 1
(K3bDevice::Device) /dev/sr0 : 1765 KB/s
adding udi   /org/freedesktop/Hal/devices/volume_label__Desktop_Personal_
k3b: (K3bMedium) found volume id from start sector 0: '"Desktop Personal"'
k3b: (K3bMedium) checking for VCD.
k3b: ERROR: (K3bDevice::HalConnection) mount failed for
/org/freedesktop/Hal/devices/volume_label__Desktop_Personal_:
org.freedesktop.DBus.Error.NoReply - Did not receive a reply. Possible causes
include: the remote application did not send a reply, the message bus security
policy blocked the reply, the reply timeout expired, or the network connection
was broken.

Тем не менее KDE монтирует этот диск.
------- Comment #1 From 2008-04-11 15:32:22 -------
А subfs у Вас испльзуется?
------- Comment #2 From 2008-04-14 08:01:51 -------
(In reply to comment #1)
> А subfs у Вас испльзуется?

Нет.
------- Comment #3 From 2008-06-20 11:39:58 -------
А как на 1.0.5? 
Там в Changelog сказано:
* Fixed HAL mounting (thanks to Ken Milmore)
------- Comment #4 From 2008-06-20 11:47:45 -------
(In reply to comment #3)
> А как на 1.0.5? 
> Там в Changelog сказано:
> * Fixed HAL mounting (thanks to Ken Milmore)
> 

Ну вот сейчас k3b-1.0.5-alt1
Вставил диск, икона появилась. Запустил k3b, выбрал привод с диском.
Получил:
Невозможно смонтировать диск "Desktop Personal" (заполненный CD-RW) в
устройстве Optiarc - DVD RW AD-7191S

Не исправлено...
------- Comment #5 From 2008-06-20 12:25:02 -------
(In reply to comment #4)
> Ну вот сейчас k3b-1.0.5-alt1
> Вставил диск, икона появилась. Запустил k3b, выбрал привод с диском.
> Получил:
> Невозможно смонтировать диск "Desktop Personal" (заполненный CD-RW) в устройстве Optiarc -
> DVD RW AD-7191S
> 
> Не исправлено...
> 

Учтём. Спасибо за скорый ответ. Ждите моего следующего обостре^W всплеска
активности. Постараюсь не затягивать с этим делом.
------- Comment #6 From 2008-06-20 14:22:35 -------
Ну.. желательно починить до выхода 4.1 :)
------- Comment #7 From 2008-07-22 13:47:13 -------
Категорически подтверждаю! Напоролся сам. Буду копать!
------- Comment #8 From 2008-07-22 14:51:45 -------
(In reply to comment #7)
> Категорически подтверждаю! Напоролся сам. Буду копать!
> 

Ну.... ждём'с
------- Comment #9 From 2008-07-22 21:29:50 -------
Так... Был не в себе. Естественно, у меня k3b не мог смонтировать диск,
поскольку пользователю это не было разрешено в fstab. Так что, у меня всё ok. У
Вас, надеюсь,   пользователям разрешено монтировать CD?
------- Comment #10 From 2008-07-22 21:34:31 -------
Хотя, да. Ранее Вы писали: "Тем не менее KDE монтирует этот диск."
------- Comment #11 From 2008-07-23 09:08:38 -------
(In reply to comment #9)
> Так... Был не в себе. Естественно, у меня k3b не мог смонтировать диск,
> поскольку пользователю это не было разрешено в fstab. Так что, у меня всё ok. У
> Вас, надеюсь,   пользователям разрешено монтировать CD?
> 

У меня в fstab вообще они не прописаны. Всё делает hal или кто-то там....
------- Comment #12 From 2008-07-23 12:33:06 -------
Интереса ради прошу сделать запись в fstab по поводу резака и проверить
возможность монтирования. Спасибо за последнее сообщение! Сне удалось
воспроизвести проблему:
1. Запускаем konqueror
2. Пишем адрес media:/
3. "Заходим на привод" - монтируется
4. Закрываем konqueror
5. Комментируем строчку в fstab, касающуюся приводя оптических дисков
6. Выдвигаем трей, дабы гарантированно размонтировался диск
7. Задвигаем трей
8. Запускаем k3b
9. Пытаемся в k3b смонтировать CD - ошибка
10. Запускаем konqueror
11. Идём на media:/наш_привод - всё монтируется
12. Закрываем konqueror для чистоты эксперимента
13. Повторяем п. 9 - всё ok (конечно, диск-то уже смонтирован)

Если п.п. 8, 9 и 10, 11 поменять местами, то, естественно, всё работает.

Похоже, k3b всё ещё уделяет большое внимание содержимому fstab.
------- Comment #13 From 2008-07-24 14:25:39 -------
(In reply to comment #12)

> Похоже, k3b всё ещё уделяет большое внимание содержимому fstab.

Надо его отваживать от этого занятия.
------- Comment #14 From 2008-12-19 08:37:03 -------
Проверил.
Cмонтировал...